Gentoo ss and com_err blocking e2fsprogs

Gentoo appears to have released a change before releasing the portage that can handle it. If you emerge world right now, you’ll probably get a block involving sys-fs/e2fsprogs, sys-libs/ss and sys-libs/com_err. You’ll see something like this:
[blocks B ] sys-libs/e2fsprogs-libs-1.41.0)
[blocks B ] sys-libs/ss (is blocking sys-libs/e2fsprogs-libs-1.41.0)
[blocks B ] sys-libs/com_err (is blocking sys-libs/e2fsprogs-libs-1.41.0)


Normally, the solution to a block is to unmerge one of the offending packages, and re-emerge the other. DO NOT DO THAT here. PerGentoo Bug 234907 unmerging com_err will disable wget, which is what portage uses to download the package tarballs. So you won’t be able to re-emerge the e2fsprogs to get the libraries back. Again, per the bug, download all the necessary files first with the command:

emerge -avu --newuse --deep --fetchonly world

Then you can safely unmerge ss and com_err

emerge --unmerge sys-libs/ss sys-libs/com_err

and then update e2fsprogs:

emerge -av --nodeps sys-libs/e2fsprogs-libs sys-fs/e2fsprogs

According to the bug, portage-2.1.5 is able to resolve the block, but that is not yet stable so if you’re running in production you probably don’t want to run it yet. For now, these steps let you resolve it without issue.

Tags: , , ,

One Response to “Gentoo ss and com_err blocking e2fsprogs”

  1. monastic Says:

    With thanks.

Leave a Reply